Device Compatibility

Something that has long been missing from the Android Market now appears to be rolling out across the board. Yup, as shown in the above image the Android Market now offers up a device compatibility check before you download any new items.

Until now, developers have pretty much relied on their text areas to inform individuals of possible non-compatible devices but this looks to be the start of the end to all that. We're guessing that's the goal anyway -- whether or not it will go that way remains to be seen considering the broad scope of devices out there but hey -- have to start somewhere and this is so far, looking pretty good. Check it out for yourself in the Android Market.

Thanks, Gone24!

 

Reader comments

Google adds device compatibility checks to the Android Market

18 Comments

it's called the "samsung" nexus s? that's interesting. never noticed that before. why isn't the nexus one or the g1 the htc n1 or g1?

I still feel the the web based market is missing a lot of basic functionality. I am still using Appbrain and Amazon for most of my app needs. The Google market needs lists or the ability to save an apps for later.

It does, I think this is old. This is from the Android Market on the internet, not on your device. This has been out for quite some time I thought...

ok...i thought i was crazy...thank you for clearing it up...they may want to clarify in their article that this is about the market on the internet, not on devices

Your device does filter out incompatible apps. Although, all apps are viewable on the web-based market. This is true because a person could have several different devices which one could be compatible and the other incompatible, so both are visible.

Still not seeing this show up on my market pages.
I wonder why this has to "roll out".
Why isn't it as simple as smacking new source on the web server farm?

I think the new things being done with the market are great, but shouldn't these changes be rolled out to the app version too? This is after all, where most people download new apps right?!

Well somebody at Google needs to double check their compatible list between the incredible and dx because the market shows the DX/D2 Overclocker as being compatible with the incredible as well as the dx recovery bootstapper lol :/

The Web Market needs some serious fixing & improvements
They can start that by adding all the stuff they removed the last time
such as :

- the app's current version
(I don't need a date , I need a version number)

- Size of the app
(Im pretty sure that some of us needs to know this before downloading an app)

I am not sure if you were missed by the roll out, but every app I look at has Date Updated, Current Version, and Size. The only reason these would be missing is if a developer did not fill these fields in.

It must be very frustrating for app developers to see "doesn't work on my " and a 1-star rating despite the app description section saying "only works with these ."

Anything that might help stop those kind of comments clogging up the reviews is a good idea in my book.

I hated that the BlackBerry App world wouldn't let you download apps not listed for your device. This was extraordinarily problematic with new devices. Does this new device compatibility require you have a compatible device to use the app?

problem with that for me is I have a Dinc2.
and isn't supported, even though most often they include the Incredible S as a supported device.

When will Google patch Chrome to Phone? Update to 2.3.3 & forget to do the same w/an app I've been using for years & then just take it away w/no warning? Patch this!